Package com.fasterxml.jackson.datatype.joda.cfg

## Class JacksonJodaPeriodFormat

- java.lang.Object
- - com.fasterxml.jackson.datatype.joda.cfg.JacksonJodaPeriodFormat

    public class JacksonJodaPeriodFormat
    extends java.lang.Object

Simple container used to encapsulate (some of) gory details of customizations related to date/time formatting.

### Field Summary

Fields
`protected boolean` `_explicitLocale`
`protected org.joda.time.format.PeriodFormatter` `_formatter`
`protected java.util.Locale` `_locale`
`protected java.lang.Boolean` `_useTimestamp` Flag that indicates that serialization must be done as the Java timestamp, regardless of other settings.
`protected static java.util.Locale` `DEFAULT_LOCALE`

### Constructor Summary

Constructors
`JacksonJodaPeriodFormat​(JacksonJodaPeriodFormat base, java.lang.Boolean useTimestamp)`
`JacksonJodaPeriodFormat​(JacksonJodaPeriodFormat base, java.util.Locale locale)`
`JacksonJodaPeriodFormat​(org.joda.time.format.PeriodFormatter defaultFormatter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.joda.time.format.PeriodFormatter` `createFormatter​(com.fasterxml.jackson.databind.SerializerProvider provider)`
`org.joda.time.format.PeriodFormatter` `nativeFormatter()`
`org.joda.time.Period` `parsePeriod​(com.fasterxml.jackson.databind.DeserializationContext ctxt, java.lang.String str)`
`boolean` `useTimestamp​(com.fasterxml.jackson.databind.SerializerProvider provider, com.fasterxml.jackson.databind.SerializationFeature feat)`
`JacksonJodaPeriodFormat` `withFormat​(java.lang.String format)`
`JacksonJodaPeriodFormat` `withLocale​(java.util.Locale locale)`
`JacksonJodaPeriodFormat` `withUseTimestamp​(java.lang.Boolean useTimestamp)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _formatter

    protected final org.joda.time.format.PeriodFormatter _formatter

#### DEFAULT_LOCALE

    protected static final java.util.Locale DEFAULT_LOCALE

#### _useTimestamp

    protected final java.lang.Boolean _useTimestamp

Flag that indicates that serialization must be done as the Java timestamp, regardless of other settings.

#### _locale

    protected final java.util.Locale _locale

#### _explicitLocale

    protected final boolean _explicitLocale

### Constructor Detail

#### JacksonJodaPeriodFormat

    public JacksonJodaPeriodFormat​(org.joda.time.format.PeriodFormatter defaultFormatter)

#### JacksonJodaPeriodFormat

    public JacksonJodaPeriodFormat​(JacksonJodaPeriodFormat base,
                                   java.util.Locale locale)

#### JacksonJodaPeriodFormat

    public JacksonJodaPeriodFormat​(JacksonJodaPeriodFormat base,
                                   java.lang.Boolean useTimestamp)

### Method Detail

#### nativeFormatter

    public org.joda.time.format.PeriodFormatter nativeFormatter()

Since:
  2.9

#### withUseTimestamp

    public JacksonJodaPeriodFormat withUseTimestamp​(java.lang.Boolean useTimestamp)

#### withFormat

    public JacksonJodaPeriodFormat withFormat​(java.lang.String format)

#### withLocale

    public JacksonJodaPeriodFormat withLocale​(java.util.Locale locale)

#### createFormatter

    public org.joda.time.format.PeriodFormatter createFormatter​(com.fasterxml.jackson.databind.SerializerProvider provider)

#### parsePeriod

    public org.joda.time.Period parsePeriod​(com.fasterxml.jackson.databind.DeserializationContext ctxt,
                                            java.lang.String str)
                                     throws java.io.IOException

Throws:
  `java.io.IOException`
Since:
  2.9

#### useTimestamp

    public boolean useTimestamp​(com.fasterxml.jackson.databind.SerializerProvider provider,
                                com.fasterxml.jackson.databind.SerializationFeature feat)